curl --request POST \
--url http://{host}:{port}/{contextPath}/task/{id}/localVariables/{varName}/data \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: multipart/form-data' \
--data-binary $'\n ```\n ------------------------------354ddb6baeff\n Content-Disposition: form-data; name="data"; filename="image.png"\n Content-Type: application/octet-stream\n Content-Transfer-Encoding: binary\n\n <<Byte Stream ommitted>>\n ------------------------------354ddb6baeff\n Content-Disposition: form-data; name="valueType"\n Content-Type: text/plain; charset=US-ASCII\n Content-Transfer-Encoding: 8bit\n\n Bytes\n ------------------------------1e838f8f632a--\n ```\n '
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Task Local Variable
Update Local Task Variable (Binary)
Sets the serialized value for a binary variable or the binary value for a file variable.
POST
/
task
/
{id}
/
localVariables
/
{varName}
/
data
curl --request POST \
--url http://{host}:{port}/{contextPath}/task/{id}/localVariables/{varName}/data \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: multipart/form-data' \
--data-binary $'\n ```\n ------------------------------354ddb6baeff\n Content-Disposition: form-data; name="data"; filename="image.png"\n Content-Type: application/octet-stream\n Content-Transfer-Encoding: binary\n\n <<Byte Stream ommitted>>\n ------------------------------354ddb6baeff\n Content-Disposition: form-data; name="valueType"\n Content-Type: text/plain; charset=US-ASCII\n Content-Transfer-Encoding: 8bit\n\n Bytes\n ------------------------------1e838f8f632a--\n ```\n '
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the task to retrieve the variable for.
The name of the variable to retrieve.
Body
multipart/form-data
For binary variables a multipart form submit with the following parts:
The binary data to be set. For File variables, this multipart can contain the filename, binary value and MIME type of the file variable to be set Only the filename is mandatory.
The name of the variable type. Either Bytes for a byte array variable or File for a file variable.
Available options:
Bytes, File Response
Request successful.